Adding debian version 0.5.0-2.
[debian/lxde-common.git] / Makefile.in
CommitLineData
4af7dd53 1# Makefile.in generated by automake 1.11 from Makefile.am.
097da666
DB
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
4af7dd53
DB
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,
6# Inc.
097da666
DB
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18
19VPATH = @srcdir@
20pkgdatadir = $(datadir)/@PACKAGE@
097da666 21pkgincludedir = $(includedir)/@PACKAGE@
4af7dd53
DB
22pkglibdir = $(libdir)/@PACKAGE@
23pkglibexecdir = $(libexecdir)/@PACKAGE@
097da666
DB
24am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25install_sh_DATA = $(install_sh) -c -m 644
26install_sh_PROGRAM = $(install_sh) -c
27install_sh_SCRIPT = $(install_sh) -c
28INSTALL_HEADER = $(INSTALL_DATA)
29transform = $(program_transform_name)
30NORMAL_INSTALL = :
31PRE_INSTALL = :
32POST_INSTALL = :
33NORMAL_UNINSTALL = :
34PRE_UNINSTALL = :
35POST_UNINSTALL = :
36subdir = .
37DIST_COMMON = README $(am__configure_deps) $(srcdir)/LXDE.desktop.in \
38 $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
68711ac0
DB
39 $(srcdir)/lxde-logout.desktop.in $(srcdir)/lxde-logout.in \
40 $(srcdir)/openbox-lxde.in $(srcdir)/startlxde.in \
41 $(top_srcdir)/configure $(top_srcdir)/lxpanel/panel.in \
42 $(top_srcdir)/openbox/rc.xml.in \
097da666 43 $(top_srcdir)/pcmanfm/main.lxde.in AUTHORS COPYING ChangeLog \
26d3dc88 44 INSTALL NEWS compile depcomp install-sh missing mkinstalldirs
097da666 45ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
4af7dd53
DB
46am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
47 $(top_srcdir)/configure.ac
097da666
DB
48am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
49 $(ACLOCAL_M4)
50am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
51 configure.lineno config.status.lineno
68711ac0
DB
52mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
53CONFIG_CLEAN_FILES = startlxde lxde-logout LXDE.desktop \
54 lxde-logout.desktop lxpanel/panel openbox/rc.xml openbox-lxde \
55 pcmanfm/main.lxde
4af7dd53
DB
56CONFIG_CLEAN_VPATH_FILES =
57am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
58am__vpath_adj = case $$p in \
59 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
60 *) f=$$p;; \
61 esac;
62am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
63am__install_max = 40
64am__nobase_strip_setup = \
65 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
66am__nobase_strip = \
67 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
68am__nobase_list = $(am__nobase_strip_setup); \
69 for p in $$list; do echo "$$p $$p"; done | \
70 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
71 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
72 if (++n[$$2] == $(am__install_max)) \
73 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
74 END { for (dir in files) print dir, files[dir] }'
75am__base_list = \
76 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
77 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
097da666
DB
78am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(defaultsdir)" \
79 "$(DESTDIR)$(imagesdir)" "$(DESTDIR)$(lxpaneldir)" \
80 "$(DESTDIR)$(lxpanel_paneldir)" "$(DESTDIR)$(openboxdir)" \
81 "$(DESTDIR)$(pcmanfmdir)" "$(DESTDIR)$(wallpapersdir)" \
82 "$(DESTDIR)$(xsessiondir)"
097da666
DB
83SCRIPTS = $(bin_SCRIPTS)
84SOURCES =
85DIST_SOURCES =
86RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
87 html-recursive info-recursive install-data-recursive \
88 install-dvi-recursive install-exec-recursive \
89 install-html-recursive install-info-recursive \
90 install-pdf-recursive install-ps-recursive install-recursive \
91 installcheck-recursive installdirs-recursive pdf-recursive \
92 ps-recursive uninstall-recursive
097da666
DB
93DATA = $(defaults_DATA) $(images_DATA) $(lxpanel_DATA) \
94 $(lxpanel_panel_DATA) $(openbox_DATA) $(pcmanfm_DATA) \
95 $(wallpapers_DATA) $(xsession_DATA)
96RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
97 distclean-recursive maintainer-clean-recursive
4af7dd53
DB
98AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
99 $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
100 distdir dist dist-all distcheck
097da666
DB
101ETAGS = etags
102CTAGS = ctags
103DIST_SUBDIRS = $(SUBDIRS)
104DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
105distdir = $(PACKAGE)-$(VERSION)
106top_distdir = $(distdir)
107am__remove_distdir = \
4af7dd53
DB
108 { test ! -d "$(distdir)" \
109 || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
110 && rm -fr "$(distdir)"; }; }
111am__relativize = \
112 dir0=`pwd`; \
113 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
114 sed_rest='s,^[^/]*/*,,'; \
115 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
116 sed_butlast='s,/*[^/]*$$,,'; \
117 while test -n "$$dir1"; do \
118 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
119 if test "$$first" != "."; then \
120 if test "$$first" = ".."; then \
121 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
122 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
123 else \
124 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
125 if test "$$first2" = "$$first"; then \
126 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
127 else \
128 dir2="../$$dir2"; \
129 fi; \
130 dir0="$$dir0"/"$$first"; \
131 fi; \
132 fi; \
133 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
134 done; \
135 reldir="$$dir2"
26d3dc88 136DIST_ARCHIVES = $(distdir).tar.gz
097da666 137GZIP_ENV = --best
097da666
DB
138distuninstallcheck_listfiles = find . -type f -print
139distcleancheck_listfiles = find . -type f -print
140ACLOCAL = @ACLOCAL@
141AMTAR = @AMTAR@
142AUTOCONF = @AUTOCONF@
143AUTOHEADER = @AUTOHEADER@
144AUTOMAKE = @AUTOMAKE@
145AWK = @AWK@
097da666
DB
146CYGPATH_W = @CYGPATH_W@
147DEFS = @DEFS@
097da666
DB
148ECHO_C = @ECHO_C@
149ECHO_N = @ECHO_N@
150ECHO_T = @ECHO_T@
097da666
DB
151INSTALL = @INSTALL@
152INSTALL_DATA = @INSTALL_DATA@
153INSTALL_PROGRAM = @INSTALL_PROGRAM@
154INSTALL_SCRIPT = @INSTALL_SCRIPT@
155INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
097da666
DB
156LIBOBJS = @LIBOBJS@
157LIBS = @LIBS@
158LN_S = @LN_S@
159LTLIBOBJS = @LTLIBOBJS@
160MAKEINFO = @MAKEINFO@
161MKDIR_P = @MKDIR_P@
097da666
DB
162PACKAGE = @PACKAGE@
163PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
164PACKAGE_NAME = @PACKAGE_NAME@
165PACKAGE_STRING = @PACKAGE_STRING@
166PACKAGE_TARNAME = @PACKAGE_TARNAME@
26d3dc88 167PACKAGE_URL = @PACKAGE_URL@
097da666
DB
168PACKAGE_VERSION = @PACKAGE_VERSION@
169PATH_SEPARATOR = @PATH_SEPARATOR@
097da666
DB
170SET_MAKE = @SET_MAKE@
171SHELL = @SHELL@
172STRIP = @STRIP@
173VERSION = @VERSION@
4af7dd53
DB
174XMLCATALOG = @XMLCATALOG@
175XML_CATALOG_FILE = @XML_CATALOG_FILE@
176XSLTPROC = @XSLTPROC@
097da666
DB
177abs_builddir = @abs_builddir@
178abs_srcdir = @abs_srcdir@
179abs_top_builddir = @abs_top_builddir@
180abs_top_srcdir = @abs_top_srcdir@
097da666 181am__leading_dot = @am__leading_dot@
097da666
DB
182am__tar = @am__tar@
183am__untar = @am__untar@
184bindir = @bindir@
185build_alias = @build_alias@
186builddir = @builddir@
187datadir = @datadir@
188datarootdir = @datarootdir@
189docdir = @docdir@
190dvidir = @dvidir@
191exec_prefix = @exec_prefix@
192host_alias = @host_alias@
193htmldir = @htmldir@
194includedir = @includedir@
195infodir = @infodir@
196install_sh = @install_sh@
197libdir = @libdir@
198libexecdir = @libexecdir@
199localedir = @localedir@
200localstatedir = @localstatedir@
201mandir = @mandir@
202mkdir_p = @mkdir_p@
203oldincludedir = @oldincludedir@
204pdfdir = @pdfdir@
205prefix = @prefix@
206program_transform_name = @program_transform_name@
207psdir = @psdir@
208sbindir = @sbindir@
209sharedstatedir = @sharedstatedir@
210srcdir = @srcdir@
211sysconfdir = @sysconfdir@
212target_alias = @target_alias@
68711ac0 213top_build_prefix = @top_build_prefix@
097da666
DB
214top_builddir = @top_builddir@
215top_srcdir = @top_srcdir@
216xsesspath = @xsesspath@
26d3dc88 217SUBDIRS = man
097da666
DB
218bin_SCRIPTS = startlxde lxde-logout openbox-lxde
219
220# Currently these paths are hardcoded.
221xsessiondir = $(xsesspath)
222xsession_DATA = LXDE.desktop
68711ac0 223defaultsdir = $(sysconfdir)/xdg/lxsession/LXDE
26d3dc88 224defaults_DATA = autostart desktop.conf
097da666
DB
225wallpapersdir = $(datadir)/lxde/wallpapers
226wallpapers_DATA = \
227 wallpapers/lxde_blue.jpg \
228 wallpapers/lxde_red.jpg \
229 wallpapers/lxde_green.jpg
230
231imagesdir = $(datadir)/lxde/images
232images_DATA = \
233 images/logout-banner.png \
234 images/lxde-icon.png
235
236lxpaneldir = $(datadir)/lxpanel/profile/LXDE
237lxpanel_DATA = lxpanel/config
238lxpanel_paneldir = $(datadir)/lxpanel/profile/LXDE/panels
239lxpanel_panel_DATA = lxpanel/panel
240openboxdir = $(datadir)/lxde/openbox
241openbox_DATA = \
242 openbox/rc.xml \
243 openbox/menu.xml
244
245pcmanfmdir = $(datadir)/lxde/pcmanfm
246pcmanfm_DATA = \
247 pcmanfm/main.lxde
248
249EXTRA_DIST = \
097da666 250 autostart \
26d3dc88 251 desktop.conf \
097da666
DB
252 LXDE.desktop.in \
253 startlxde.in \
254 $(wallpapers_DATA) \
255 $(images_DATA) \
097da666
DB
256 openbox/rc.xml.in \
257 openbox/menu.xml \
258 openbox-lxde.in \
259 pcmanfm/main.lxde.in \
260 $(lxpanel_DATA) \
261 lxpanel/panel.in
262
263CLEANFILES = $(bin_SCRIPTS)
68711ac0 264all: all-recursive
097da666
DB
265
266.SUFFIXES:
267am--refresh:
268 @:
269$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
270 @for dep in $?; do \
271 case '$(am__configure_deps)' in \
272 *$$dep*) \
4af7dd53
DB
273 echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
274 $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
097da666
DB
275 && exit 0; \
276 exit 1;; \
277 esac; \
278 done; \
4af7dd53
DB
279 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
280 $(am__cd) $(top_srcdir) && \
281 $(AUTOMAKE) --gnu Makefile
097da666
DB
282.PRECIOUS: Makefile
283Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
284 @case '$?' in \
285 *config.status*) \
286 echo ' $(SHELL) ./config.status'; \
287 $(SHELL) ./config.status;; \
288 *) \
289 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
290 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
291 esac;
292
293$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
294 $(SHELL) ./config.status --recheck
295
296$(top_srcdir)/configure: $(am__configure_deps)
4af7dd53 297 $(am__cd) $(srcdir) && $(AUTOCONF)
097da666 298$(ACLOCAL_M4): $(am__aclocal_m4_deps)
4af7dd53
DB
299 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
300$(am__aclocal_m4_deps):
097da666
DB
301startlxde: $(top_builddir)/config.status $(srcdir)/startlxde.in
302 cd $(top_builddir) && $(SHELL) ./config.status $@
097da666
DB
303lxde-logout: $(top_builddir)/config.status $(srcdir)/lxde-logout.in
304 cd $(top_builddir) && $(SHELL) ./config.status $@
305LXDE.desktop: $(top_builddir)/config.status $(srcdir)/LXDE.desktop.in
306 cd $(top_builddir) && $(SHELL) ./config.status $@
68711ac0
DB
307lxde-logout.desktop: $(top_builddir)/config.status $(srcdir)/lxde-logout.desktop.in
308 cd $(top_builddir) && $(SHELL) ./config.status $@
097da666
DB
309lxpanel/panel: $(top_builddir)/config.status $(top_srcdir)/lxpanel/panel.in
310 cd $(top_builddir) && $(SHELL) ./config.status $@
311openbox/rc.xml: $(top_builddir)/config.status $(top_srcdir)/openbox/rc.xml.in
312 cd $(top_builddir) && $(SHELL) ./config.status $@
313openbox-lxde: $(top_builddir)/config.status $(srcdir)/openbox-lxde.in
314 cd $(top_builddir) && $(SHELL) ./config.status $@
315pcmanfm/main.lxde: $(top_builddir)/config.status $(top_srcdir)/pcmanfm/main.lxde.in
316 cd $(top_builddir) && $(SHELL) ./config.status $@
317install-binSCRIPTS: $(bin_SCRIPTS)
318 @$(NORMAL_INSTALL)
319 test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
4af7dd53
DB
320 @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
321 for p in $$list; do \
097da666 322 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
4af7dd53
DB
323 if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
324 done | \
325 sed -e 'p;s,.*/,,;n' \
326 -e 'h;s|.*|.|' \
327 -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
328 $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
329 { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
330 if ($$2 == $$4) { files[d] = files[d] " " $$1; \
331 if (++n[d] == $(am__install_max)) { \
332 print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
333 else { print "f", d "/" $$4, $$1 } } \
334 END { for (d in files) print "f", d, files[d] }' | \
335 while read type dir files; do \
336 if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
337 test -z "$$files" || { \
338 echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
339 $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
340 } \
341 ; done
097da666
DB
342
343uninstall-binSCRIPTS:
344 @$(NORMAL_UNINSTALL)
4af7dd53
DB
345 @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
346 files=`for p in $$list; do echo "$$p"; done | \
347 sed -e 's,.*/,,;$(transform)'`; \
348 test -n "$$list" || exit 0; \
349 echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
350 cd "$(DESTDIR)$(bindir)" && rm -f $$files
097da666
DB
351install-defaultsDATA: $(defaults_DATA)
352 @$(NORMAL_INSTALL)
353 test -z "$(defaultsdir)" || $(MKDIR_P) "$(DESTDIR)$(defaultsdir)"
4af7dd53
DB
354 @list='$(defaults_DATA)'; test -n "$(defaultsdir)" || list=; \
355 for p in $$list; do \
097da666 356 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
4af7dd53
DB
357 echo "$$d$$p"; \
358 done | $(am__base_list) | \
359 while read files; do \
360 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(defaultsdir)'"; \
361 $(INSTALL_DATA) $$files "$(DESTDIR)$(defaultsdir)" || exit $$?; \
097da666
DB
362 done
363
364uninstall-defaultsDATA:
365 @$(NORMAL_UNINSTALL)
4af7dd53
DB
366 @list='$(defaults_DATA)'; test -n "$(defaultsdir)" || list=; \
367 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
368 test -n "$$files" || exit 0; \
369 echo " ( cd '$(DESTDIR)$(defaultsdir)' && rm -f" $$files ")"; \
370 cd "$(DESTDIR)$(defaultsdir)" && rm -f $$files
097da666
DB
371install-imagesDATA: $(images_DATA)
372 @$(NORMAL_INSTALL)
373 test -z "$(imagesdir)" || $(MKDIR_P) "$(DESTDIR)$(imagesdir)"
4af7dd53
DB
374 @list='$(images_DATA)'; test -n "$(imagesdir)" || list=; \
375 for p in $$list; do \
097da666 376 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
4af7dd53
DB
377 echo "$$d$$p"; \
378 done | $(am__base_list) | \
379 while read files; do \
380 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(imagesdir)'"; \
381 $(INSTALL_DATA) $$files "$(DESTDIR)$(imagesdir)" || exit $$?; \
097da666
DB
382 done
383
384uninstall-imagesDATA:
385 @$(NORMAL_UNINSTALL)
4af7dd53
DB
386 @list='$(images_DATA)'; test -n "$(imagesdir)" || list=; \
387 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
388 test -n "$$files" || exit 0; \
389 echo " ( cd '$(DESTDIR)$(imagesdir)' && rm -f" $$files ")"; \
390 cd "$(DESTDIR)$(imagesdir)" && rm -f $$files
097da666
DB
391install-lxpanelDATA: $(lxpanel_DATA)
392 @$(NORMAL_INSTALL)
393 test -z "$(lxpaneldir)" || $(MKDIR_P) "$(DESTDIR)$(lxpaneldir)"
4af7dd53
DB
394 @list='$(lxpanel_DATA)'; test -n "$(lxpaneldir)" || list=; \
395 for p in $$list; do \
097da666 396 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
4af7dd53
DB
397 echo "$$d$$p"; \
398 done | $(am__base_list) | \
399 while read files; do \
400 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(lxpaneldir)'"; \
401 $(INSTALL_DATA) $$files "$(DESTDIR)$(lxpaneldir)" || exit $$?; \
097da666
DB
402 done
403
404uninstall-lxpanelDATA:
405 @$(NORMAL_UNINSTALL)
4af7dd53
DB
406 @list='$(lxpanel_DATA)'; test -n "$(lxpaneldir)" || list=; \
407 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
408 test -n "$$files" || exit 0; \
409 echo " ( cd '$(DESTDIR)$(lxpaneldir)' && rm -f" $$files ")"; \
410 cd "$(DESTDIR)$(lxpaneldir)" && rm -f $$files
097da666
DB
411install-lxpanel_panelDATA: $(lxpanel_panel_DATA)
412 @$(NORMAL_INSTALL)
413 test -z "$(lxpanel_paneldir)" || $(MKDIR_P) "$(DESTDIR)$(lxpanel_paneldir)"
4af7dd53
DB
414 @list='$(lxpanel_panel_DATA)'; test -n "$(lxpanel_paneldir)" || list=; \
415 for p in $$list; do \
097da666 416 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
4af7dd53
DB
417 echo "$$d$$p"; \
418 done | $(am__base_list) | \
419 while read files; do \
420 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(lxpanel_paneldir)'"; \
421 $(INSTALL_DATA) $$files "$(DESTDIR)$(lxpanel_paneldir)" || exit $$?; \
097da666
DB
422 done
423
424uninstall-lxpanel_panelDATA:
425 @$(NORMAL_UNINSTALL)
4af7dd53
DB
426 @list='$(lxpanel_panel_DATA)'; test -n "$(lxpanel_paneldir)" || list=; \
427 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
428 test -n "$$files" || exit 0; \
429 echo " ( cd '$(DESTDIR)$(lxpanel_paneldir)' && rm -f" $$files ")"; \
430 cd "$(DESTDIR)$(lxpanel_paneldir)" && rm -f $$files
097da666
DB
431install-openboxDATA: $(openbox_DATA)
432 @$(NORMAL_INSTALL)
433 test -z "$(openboxdir)" || $(MKDIR_P) "$(DESTDIR)$(openboxdir)"
4af7dd53
DB
434 @list='$(openbox_DATA)'; test -n "$(openboxdir)" || list=; \
435 for p in $$list; do \
097da666 436 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
4af7dd53
DB
437 echo "$$d$$p"; \
438 done | $(am__base_list) | \
439 while read files; do \
440 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(openboxdir)'"; \
441 $(INSTALL_DATA) $$files "$(DESTDIR)$(openboxdir)" || exit $$?; \
097da666
DB
442 done
443
444uninstall-openboxDATA:
445 @$(NORMAL_UNINSTALL)
4af7dd53
DB
446 @list='$(openbox_DATA)'; test -n "$(openboxdir)" || list=; \
447 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
448 test -n "$$files" || exit 0; \
449 echo " ( cd '$(DESTDIR)$(openboxdir)' && rm -f" $$files ")"; \
450 cd "$(DESTDIR)$(openboxdir)" && rm -f $$files
097da666
DB
451install-pcmanfmDATA: $(pcmanfm_DATA)
452 @$(NORMAL_INSTALL)
453 test -z "$(pcmanfmdir)" || $(MKDIR_P) "$(DESTDIR)$(pcmanfmdir)"
4af7dd53
DB
454 @list='$(pcmanfm_DATA)'; test -n "$(pcmanfmdir)" || list=; \
455 for p in $$list; do \
097da666 456 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
4af7dd53
DB
457 echo "$$d$$p"; \
458 done | $(am__base_list) | \
459 while read files; do \
460 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pcmanfmdir)'"; \
461 $(INSTALL_DATA) $$files "$(DESTDIR)$(pcmanfmdir)" || exit $$?; \
097da666
DB
462 done
463
464uninstall-pcmanfmDATA:
465 @$(NORMAL_UNINSTALL)
4af7dd53
DB
466 @list='$(pcmanfm_DATA)'; test -n "$(pcmanfmdir)" || list=; \
467 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
468 test -n "$$files" || exit 0; \
469 echo " ( cd '$(DESTDIR)$(pcmanfmdir)' && rm -f" $$files ")"; \
470 cd "$(DESTDIR)$(pcmanfmdir)" && rm -f $$files
097da666
DB
471install-wallpapersDATA: $(wallpapers_DATA)
472 @$(NORMAL_INSTALL)
473 test -z "$(wallpapersdir)" || $(MKDIR_P) "$(DESTDIR)$(wallpapersdir)"
4af7dd53
DB
474 @list='$(wallpapers_DATA)'; test -n "$(wallpapersdir)" || list=; \
475 for p in $$list; do \
097da666 476 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
4af7dd53
DB
477 echo "$$d$$p"; \
478 done | $(am__base_list) | \
479 while read files; do \
480 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(wallpapersdir)'"; \
481 $(INSTALL_DATA) $$files "$(DESTDIR)$(wallpapersdir)" || exit $$?; \
097da666
DB
482 done
483
484uninstall-wallpapersDATA:
485 @$(NORMAL_UNINSTALL)
4af7dd53
DB
486 @list='$(wallpapers_DATA)'; test -n "$(wallpapersdir)" || list=; \
487 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
488 test -n "$$files" || exit 0; \
489 echo " ( cd '$(DESTDIR)$(wallpapersdir)' && rm -f" $$files ")"; \
490 cd "$(DESTDIR)$(wallpapersdir)" && rm -f $$files
097da666
DB
491install-xsessionDATA: $(xsession_DATA)
492 @$(NORMAL_INSTALL)
493 test -z "$(xsessiondir)" || $(MKDIR_P) "$(DESTDIR)$(xsessiondir)"
4af7dd53
DB
494 @list='$(xsession_DATA)'; test -n "$(xsessiondir)" || list=; \
495 for p in $$list; do \
097da666 496 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
4af7dd53
DB
497 echo "$$d$$p"; \
498 done | $(am__base_list) | \
499 while read files; do \
500 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(xsessiondir)'"; \
501 $(INSTALL_DATA) $$files "$(DESTDIR)$(xsessiondir)" || exit $$?; \
097da666
DB
502 done
503
504uninstall-xsessionDATA:
505 @$(NORMAL_UNINSTALL)
4af7dd53
DB
506 @list='$(xsession_DATA)'; test -n "$(xsessiondir)" || list=; \
507 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
508 test -n "$$files" || exit 0; \
509 echo " ( cd '$(DESTDIR)$(xsessiondir)' && rm -f" $$files ")"; \
510 cd "$(DESTDIR)$(xsessiondir)" && rm -f $$files
097da666
DB
511
512# This directory's subdirectories are mostly independent; you can cd
513# into them and run `make' without going through this Makefile.
514# To change the values of `make' variables: instead of editing Makefiles,
515# (1) if the variable is set in `config.status', edit `config.status'
516# (which will cause the Makefiles to be regenerated when you run `make');
517# (2) otherwise, pass the desired values on the `make' command line.
518$(RECURSIVE_TARGETS):
519 @failcom='exit 1'; \
520 for f in x $$MAKEFLAGS; do \
521 case $$f in \
522 *=* | --[!k]*);; \
523 *k*) failcom='fail=yes';; \
524 esac; \
525 done; \
526 dot_seen=no; \
527 target=`echo $@ | sed s/-recursive//`; \
528 list='$(SUBDIRS)'; for subdir in $$list; do \
529 echo "Making $$target in $$subdir"; \
530 if test "$$subdir" = "."; then \
531 dot_seen=yes; \
532 local_target="$$target-am"; \
533 else \
534 local_target="$$target"; \
535 fi; \
4af7dd53 536 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
097da666
DB
537 || eval $$failcom; \
538 done; \
539 if test "$$dot_seen" = "no"; then \
540 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
541 fi; test -z "$$fail"
542
543$(RECURSIVE_CLEAN_TARGETS):
544 @failcom='exit 1'; \
545 for f in x $$MAKEFLAGS; do \
546 case $$f in \
547 *=* | --[!k]*);; \
548 *k*) failcom='fail=yes';; \
549 esac; \
550 done; \
551 dot_seen=no; \
552 case "$@" in \
553 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
554 *) list='$(SUBDIRS)' ;; \
555 esac; \
556 rev=''; for subdir in $$list; do \
557 if test "$$subdir" = "."; then :; else \
558 rev="$$subdir $$rev"; \
559 fi; \
560 done; \
561 rev="$$rev ."; \
562 target=`echo $@ | sed s/-recursive//`; \
563 for subdir in $$rev; do \
564 echo "Making $$target in $$subdir"; \
565 if test "$$subdir" = "."; then \
566 local_target="$$target-am"; \
567 else \
568 local_target="$$target"; \
569 fi; \
4af7dd53 570 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
097da666
DB
571 || eval $$failcom; \
572 done && test -z "$$fail"
573tags-recursive:
574 list='$(SUBDIRS)'; for subdir in $$list; do \
4af7dd53 575 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
097da666
DB
576 done
577ctags-recursive:
578 list='$(SUBDIRS)'; for subdir in $$list; do \
4af7dd53 579 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
097da666
DB
580 done
581
582ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
583 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
584 unique=`for i in $$list; do \
585 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
586 done | \
68711ac0 587 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
097da666
DB
588 END { if (nonempty) { for (i in files) print i; }; }'`; \
589 mkid -fID $$unique
590tags: TAGS
591
68711ac0 592TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
097da666 593 $(TAGS_FILES) $(LISP)
4af7dd53 594 set x; \
097da666
DB
595 here=`pwd`; \
596 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
597 include_option=--etags-include; \
598 empty_fix=.; \
599 else \
600 include_option=--include; \
601 empty_fix=; \
602 fi; \
603 list='$(SUBDIRS)'; for subdir in $$list; do \
604 if test "$$subdir" = .; then :; else \
605 test ! -f $$subdir/TAGS || \
4af7dd53 606 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
097da666
DB
607 fi; \
608 done; \
68711ac0 609 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
097da666
DB
610 unique=`for i in $$list; do \
611 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
612 done | \
613 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
614 END { if (nonempty) { for (i in files) print i; }; }'`; \
4af7dd53
DB
615 shift; \
616 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
097da666 617 test -n "$$unique" || unique=$$empty_fix; \
4af7dd53
DB
618 if test $$# -gt 0; then \
619 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
620 "$$@" $$unique; \
621 else \
622 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
623 $$unique; \
624 fi; \
097da666
DB
625 fi
626ctags: CTAGS
68711ac0 627CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
097da666 628 $(TAGS_FILES) $(LISP)
68711ac0 629 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
097da666
DB
630 unique=`for i in $$list; do \
631 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
632 done | \
633 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
634 END { if (nonempty) { for (i in files) print i; }; }'`; \
4af7dd53 635 test -z "$(CTAGS_ARGS)$$unique" \
097da666 636 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
4af7dd53 637 $$unique
097da666
DB
638
639GTAGS:
640 here=`$(am__cd) $(top_builddir) && pwd` \
4af7dd53
DB
641 && $(am__cd) $(top_srcdir) \
642 && gtags -i $(GTAGS_ARGS) "$$here"
097da666
DB
643
644distclean-tags:
645 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
646
647distdir: $(DISTFILES)
648 $(am__remove_distdir)
4af7dd53 649 test -d "$(distdir)" || mkdir "$(distdir)"
097da666
DB
650 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
651 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
652 list='$(DISTFILES)'; \
653 dist_files=`for file in $$list; do echo $$file; done | \
654 sed -e "s|^$$srcdirstrip/||;t" \
655 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
656 case $$dist_files in \
657 */*) $(MKDIR_P) `echo "$$dist_files" | \
658 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
659 sort -u` ;; \
660 esac; \
661 for file in $$dist_files; do \
662 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
663 if test -d $$d/$$file; then \
664 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
4af7dd53
DB
665 if test -d "$(distdir)/$$file"; then \
666 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
667 fi; \
097da666 668 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
4af7dd53
DB
669 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
670 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
097da666 671 fi; \
4af7dd53 672 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
097da666 673 else \
4af7dd53
DB
674 test -f "$(distdir)/$$file" \
675 || cp -p $$d/$$file "$(distdir)/$$file" \
097da666
DB
676 || exit 1; \
677 fi; \
678 done
4af7dd53 679 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
097da666
DB
680 if test "$$subdir" = .; then :; else \
681 test -d "$(distdir)/$$subdir" \
682 || $(MKDIR_P) "$(distdir)/$$subdir" \
683 || exit 1; \
4af7dd53
DB
684 fi; \
685 done
686 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
687 if test "$$subdir" = .; then :; else \
688 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
689 $(am__relativize); \
690 new_distdir=$$reldir; \
691 dir1=$$subdir; dir2="$(top_distdir)"; \
692 $(am__relativize); \
693 new_top_distdir=$$reldir; \
694 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
695 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
696 ($(am__cd) $$subdir && \
097da666 697 $(MAKE) $(AM_MAKEFLAGS) \
4af7dd53
DB
698 top_distdir="$$new_top_distdir" \
699 distdir="$$new_distdir" \
097da666
DB
700 am__remove_distdir=: \
701 am__skip_length_check=: \
4af7dd53 702 am__skip_mode_fix=: \
097da666
DB
703 distdir) \
704 || exit 1; \
705 fi; \
706 done
4af7dd53
DB
707 -test -n "$(am__skip_mode_fix)" \
708 || find "$(distdir)" -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
097da666
DB
709 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
710 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
711 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
4af7dd53 712 || chmod -R a+r "$(distdir)"
097da666
DB
713dist-gzip: distdir
714 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
715 $(am__remove_distdir)
26d3dc88 716
097da666
DB
717dist-bzip2: distdir
718 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
719 $(am__remove_distdir)
720
721dist-lzma: distdir
722 tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
723 $(am__remove_distdir)
724
4af7dd53
DB
725dist-xz: distdir
726 tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
727 $(am__remove_distdir)
728
097da666
DB
729dist-tarZ: distdir
730 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
731 $(am__remove_distdir)
732
733dist-shar: distdir
734 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
735 $(am__remove_distdir)
736
737dist-zip: distdir
738 -rm -f $(distdir).zip
739 zip -rq $(distdir).zip $(distdir)
740 $(am__remove_distdir)
741
742dist dist-all: distdir
26d3dc88 743 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
097da666
DB
744 $(am__remove_distdir)
745
746# This target untars the dist file and tries a VPATH configuration. Then
747# it guarantees that the distribution is self-contained by making another
748# tarfile.
749distcheck: dist
750 case '$(DIST_ARCHIVES)' in \
751 *.tar.gz*) \
752 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
753 *.tar.bz2*) \
754 bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
755 *.tar.lzma*) \
756 unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
4af7dd53
DB
757 *.tar.xz*) \
758 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
097da666
DB
759 *.tar.Z*) \
760 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
761 *.shar.gz*) \
762 GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
763 *.zip*) \
764 unzip $(distdir).zip ;;\
765 esac
766 chmod -R a-w $(distdir); chmod a+w $(distdir)
767 mkdir $(distdir)/_build
768 mkdir $(distdir)/_inst
769 chmod a-w $(distdir)
4af7dd53 770 test -d $(distdir)/_build || exit 0; \
097da666
DB
771 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
772 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
4af7dd53
DB
773 && am__cwd=`pwd` \
774 && $(am__cd) $(distdir)/_build \
097da666
DB
775 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
776 $(DISTCHECK_CONFIGURE_FLAGS) \
777 && $(MAKE) $(AM_MAKEFLAGS) \
778 && $(MAKE) $(AM_MAKEFLAGS) dvi \
779 && $(MAKE) $(AM_MAKEFLAGS) check \
780 && $(MAKE) $(AM_MAKEFLAGS) install \
781 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
782 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
783 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
784 distuninstallcheck \
785 && chmod -R a-w "$$dc_install_base" \
786 && ({ \
787 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
788 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
789 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
790 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
791 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
792 } || { rm -rf "$$dc_destdir"; exit 1; }) \
793 && rm -rf "$$dc_destdir" \
794 && $(MAKE) $(AM_MAKEFLAGS) dist \
795 && rm -rf $(DIST_ARCHIVES) \
4af7dd53
DB
796 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
797 && cd "$$am__cwd" \
798 || exit 1
097da666
DB
799 $(am__remove_distdir)
800 @(echo "$(distdir) archives ready for distribution: "; \
801 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
802 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
803distuninstallcheck:
4af7dd53 804 @$(am__cd) '$(distuninstallcheck_dir)' \
097da666
DB
805 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
806 || { echo "ERROR: files left after uninstall:" ; \
807 if test -n "$(DESTDIR)"; then \
808 echo " (check DESTDIR support)"; \
809 fi ; \
810 $(distuninstallcheck_listfiles) ; \
811 exit 1; } >&2
812distcleancheck: distclean
813 @if test '$(srcdir)' = . ; then \
814 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
815 exit 1 ; \
816 fi
817 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
818 || { echo "ERROR: files left in build directory after distclean:" ; \
819 $(distcleancheck_listfiles) ; \
820 exit 1; } >&2
821check-am: all-am
822check: check-recursive
68711ac0 823all-am: Makefile $(SCRIPTS) $(DATA)
097da666
DB
824installdirs: installdirs-recursive
825installdirs-am:
826 for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(defaultsdir)" "$(DESTDIR)$(imagesdir)" "$(DESTDIR)$(lxpaneldir)" "$(DESTDIR)$(lxpanel_paneldir)" "$(DESTDIR)$(openboxdir)" "$(DESTDIR)$(pcmanfmdir)" "$(DESTDIR)$(wallpapersdir)" "$(DESTDIR)$(xsessiondir)"; do \
827 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
828 done
829install: install-recursive
830install-exec: install-exec-recursive
831install-data: install-data-recursive
832uninstall: uninstall-recursive
833
834install-am: all-am
835 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
836
837installcheck: installcheck-recursive
838install-strip:
839 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
840 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
841 `test -z '$(STRIP)' || \
842 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
843mostlyclean-generic:
844
845clean-generic:
846 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
847
848distclean-generic:
849 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
4af7dd53 850 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
097da666
DB
851
852maintainer-clean-generic:
853 @echo "This command is intended for maintainers to use"
854 @echo "it deletes files that may require special tools to rebuild."
855clean: clean-recursive
856
857clean-am: clean-generic mostlyclean-am
858
859distclean: distclean-recursive
860 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
861 -rm -f Makefile
68711ac0 862distclean-am: clean-am distclean-generic distclean-tags
097da666
DB
863
864dvi: dvi-recursive
865
866dvi-am:
867
868html: html-recursive
869
4af7dd53
DB
870html-am:
871
097da666
DB
872info: info-recursive
873
874info-am:
875
876install-data-am: install-defaultsDATA install-imagesDATA \
877 install-lxpanelDATA install-lxpanel_panelDATA \
878 install-openboxDATA install-pcmanfmDATA install-wallpapersDATA \
879 install-xsessionDATA
880
881install-dvi: install-dvi-recursive
882
4af7dd53
DB
883install-dvi-am:
884
097da666
DB
885install-exec-am: install-binSCRIPTS
886
887install-html: install-html-recursive
888
4af7dd53
DB
889install-html-am:
890
097da666
DB
891install-info: install-info-recursive
892
4af7dd53
DB
893install-info-am:
894
097da666
DB
895install-man:
896
897install-pdf: install-pdf-recursive
898
4af7dd53
DB
899install-pdf-am:
900
097da666
DB
901install-ps: install-ps-recursive
902
4af7dd53
DB
903install-ps-am:
904
097da666
DB
905installcheck-am:
906
907maintainer-clean: maintainer-clean-recursive
908 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
909 -rm -rf $(top_srcdir)/autom4te.cache
910 -rm -f Makefile
911maintainer-clean-am: distclean-am maintainer-clean-generic
912
913mostlyclean: mostlyclean-recursive
914
915mostlyclean-am: mostlyclean-generic
916
917pdf: pdf-recursive
918
919pdf-am:
920
921ps: ps-recursive
922
923ps-am:
924
925uninstall-am: uninstall-binSCRIPTS uninstall-defaultsDATA \
926 uninstall-imagesDATA uninstall-lxpanelDATA \
927 uninstall-lxpanel_panelDATA uninstall-openboxDATA \
928 uninstall-pcmanfmDATA uninstall-wallpapersDATA \
929 uninstall-xsessionDATA
930
4af7dd53
DB
931.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \
932 install-am install-strip tags-recursive
097da666
DB
933
934.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
935 all all-am am--refresh check check-am clean clean-generic \
936 ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
4af7dd53
DB
937 dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
938 distclean distclean-generic distclean-tags distcleancheck \
939 distdir distuninstallcheck dvi dvi-am html html-am info \
940 info-am install install-am install-binSCRIPTS install-data \
097da666
DB
941 install-data-am install-defaultsDATA install-dvi \
942 install-dvi-am install-exec install-exec-am install-html \
943 install-html-am install-imagesDATA install-info \
944 install-info-am install-lxpanelDATA install-lxpanel_panelDATA \
945 install-man install-openboxDATA install-pcmanfmDATA \
946 install-pdf install-pdf-am install-ps install-ps-am \
947 install-strip install-wallpapersDATA install-xsessionDATA \
948 installcheck installcheck-am installdirs installdirs-am \
949 maintainer-clean maintainer-clean-generic mostlyclean \
950 mostlyclean-generic pdf pdf-am ps ps-am tags tags-recursive \
951 uninstall uninstall-am uninstall-binSCRIPTS \
952 uninstall-defaultsDATA uninstall-imagesDATA \
953 uninstall-lxpanelDATA uninstall-lxpanel_panelDATA \
954 uninstall-openboxDATA uninstall-pcmanfmDATA \
955 uninstall-wallpapersDATA uninstall-xsessionDATA
956
4af7dd53 957
097da666
DB
958# Tell versions [3.59,3.63) of GNU make to not export all variables.
959# Otherwise a system limit (for SysV at least) may be exceeded.
960.NOEXPORT: